> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cloud Amplifier Integrations by Type

> Retrieves a list of Cloud Amplifier integrations matching the provided integration type.



## OpenAPI

````yaml /openapi/product/federatedv2.yaml get /api/query/migration/integrations/{integration-type}
openapi: 3.0.0
info:
  title: Federated V2 to Amplifier Migration APIs
  version: 1.0.0
  description: >-
    These APIs leverage a Domo access token that you can generate in the admin
    panel from within your Domo instance. Instructions on generating your access
    token can be found here.
servers:
  - url: https://{instance}.domo.com
    description: Domo instance domain
    variables:
      instance:
        default: your-instance.domo.com
        description: >-
          The fully qualified domain of the Domo instance housing the Cloud
          Amplifier Integrations.
security:
  - DeveloperToken: []
tags:
  - name: Cloud Amplifier Integration
    description: Operations for managing Cloud Amplifier integrations
  - name: Migration
    description: Operations for migrating datasources between Federated and Cloud Amplifier
paths:
  /api/query/migration/integrations/{integration-type}:
    get:
      tags:
        - Cloud Amplifier Integration
      summary: List Cloud Amplifier Integrations by Type
      description: >-
        Retrieves a list of Cloud Amplifier integrations matching the provided
        integration type.
      operationId: listCloudAmplifierIntegrationsByType
      parameters:
        - name: integration-type
          in: path
          required: true
          schema:
            type: string
          description: >-
            One of the integration types returned by the 'List Cloud Amplifier
            Integration Types' API (case-insensitive).
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CloudAmplifierIntegration'
              example:
                - id: 31e0307a-cb31-4018-b824-eb04b15827e1
                  name: My BigQuery Amplifier Integration
                  type: BIGQUERY
                  authMethod: SERVICE_ACCOUNT
      x-codeSamples:
        - lang: curl
          source: >-
            curl
            'https://{domo-domain}/api/query/migration/integrations/{integration-type}'
            \
              -H 'accept: application/json,*/*;q=0.8' \
              -H 'accept-language: en-US,en;q=0.9' \
              -H 'cache-control: max-age=0' \
              -H 'X-DOMO-Developer-Token: {developer-token}'
components:
  schemas:
    CloudAmplifierIntegration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the Cloud Amplifier integration.
        name:
          type: string
          description: Readable name of the Cloud Amplifier integration.
        type:
          type: string
          description: Type of the Cloud Amplifier integration.
        authMethod:
          type: string
          enum:
            - OAUTH
            - SERVICE_ACCOUNT
          description: >-
            Authentication method of the Cloud Amplifier integration, one of [
            "OAUTH", "SERVICE_ACCOUNT" ].
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo access token generated from the admin panel

````